Bug 126196 - up2date dependancy check fails when it should pass
up2date dependancy check fails when it should pass
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-17 07:06 EDT by Graham Leggett
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:24:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graham Leggett 2004-06-17 07:06:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040301

Description of problem:
When an attempt is made to install docbook-dtds after openjade v1.3.2
has been installed, up2date complains that openjade v1.3.1 or higher
is needed. openjade v1.3.2 is present, thus the dependancy is met.

The most likely cause of this problem I suspect is that another error
is occurring, and the wrong error message is being displayed.

[root@gatekeeper root]# up2date docbook-dtds
 
Fetching package list for channel: rhel-i386-es-3...
########################################
 
Fetching Obsoletes list for channel: rhel-i386-es-3...
 
Fetching rpm headers...
########################################
 
Name                                    Version        Rel
----------------------------------------------------------
docbook-dtds                            1.0            17.2          
   noarch
 
 
Testing package set / solving RPM inter-dependencies...
There was a package dependency problem. The message was:
 
Unresolvable chain of dependencies:
docbook-dtds-1.0-17.2                    requires openjade > 1.3.1
 
[root@gatekeeper root]# rpm -q -a | grep openjade
openjade-devel-1.3.2-11.1
openjade-1.3.2-11.1



Version-Release number of selected component (if applicable):
up2date-4.2.16-1

How reproducible:
Always

Steps to Reproduce:
xxx

Additional info:
The system is an RHEL3 system, with manual gnome updates from Fedora
Core 2 built from SRPM.
Comment 1 RHEL Product and Program Management 2007-10-19 15:24:06 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.